#
# spec file for package 
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define realname zipios++

Name:           libzipios0
Version:	0.1.5.9+cvs.2007.04.28
Release:	1.pm.1.1
License:	GPLv2
Summary:	A java.util.zip-like C++ library for reading and writing Zip files
Url:		http://zipios.sourceforge.net/
Group:		Development/Languages/C and C++ 
Source0:	%realname-%version.tar.bz2
Patch0:		%realname-0.1.5.9-support-arches.patch
Patch1:		%realname-0.1.5.9-fix-amd64.patch
Patch2:		%realname-0.1.5.9-fix-gcc43.patch
BuildRequires:	gcc-c++ zlib-devel  libcppunit-devel doxygen ImageMagick
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Zipios++ is a java.util.zip-like C++ library for reading and writing Zip files.
Access to individual entries is provided through standard C++ iostreams.
A simple read-only virtual file system that mounts regular directories and zip
files is also provided

%package devel
Summary:	Zipios++ header files
Group:		Development/Languages/C and C++
Requires: 	%name = %version
Requires:	zlib-devel

%description devel
Header files and documentation for zipios++ development.

%prep
%setup -q -n %realname-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure

make %{?_smp_mflags}
make doc

%install
%make_install
%__rm %buildroot/%{_libdir}/libzipios.la
chmod -x AUTHORS NEWS README COPYING

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%{_libdir}/libzipios.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%doc %dir doc/html/
%{_includedir}/zipios++
%{_libdir}/libzipios.a
%{_libdir}/libzipios.so

%changelog
* Sun May  8 2011 andrea@links2linux.de
- New Package
